/*
 *			s t r c a t . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	strcat	Concatenate a String Onto Another
index		Concatenate a string onto another

synopsis
	.s.nf
	char *
	strcat(out, in);
	char		*out;
	char		*in;
	.s.f
Description

	Append "in" to "out".  Return out.

Bugs

#endif

#define	EOS	0

char *
strcat(out, in)
char		*out;
register char	*in;
/*
 * Append in to out, return out.
 */
{
	register char	*op;		/* Output pointer		*/

	for (op = out; *op != EOS; op++)
	    ;
	while ((*op++ = *in++) != EOS)
	    ;
	return (out);
}
